import React, { Component } from 'react';
import 'react-quill/dist/quill.snow.css';
export interface RichTextViewerProps {
    deltaOps?: any;
    className?: string;
    style?: React.CSSProperties;
}
declare class RichTextViewer extends Component<RichTextViewerProps> {
    state: {
        open: boolean;
        images: never[];
        srcIndex: number;
    };
    componentDidMount(): void;
    componentWillUnmount(): void;
    open: (e: any) => void;
    escape: (str: any) => any;
    getOtherProps(): Pick<Readonly<RichTextViewerProps> & Readonly<{
        children?: React.ReactNode;
    }>, "style" | "children" | "className">;
    render(): JSX.Element;
}
export default RichTextViewer;
